# binaryninja.log.log_to_file

`binaryninja.log.``log_to_file`(min_level, path, append=False)

  `log_to_file` redirects minimum log level to a file named `path`, optionally appending rather than overwritting.

  Parameters:

  - min_level (int) – minimum level to log to
  - path (str) – path to log to
  - append (bool) – optional flag for specifying appending. True = append, False = overwrite.

  Return type: | None